<?php
require_once 'sql.php';
session_start();

// Verifica se houve POST e se o usuário ou a senha é(são) vazio(s)
if (empty($_POST) OR (empty($_POST['email']) OR empty($_POST['password']))) {
	header("Location: login.php?error&empty");
	//echo 'empty';
	exit;
}else{
	$usuario = sql($_POST['email']);
	$password = sql($_POST['password']);
	$senha = hash("whirlpool",$password);
	$query = mysql_query("SELECT * FROM `user` WHERE `email` = '$usuario' AND `password` = '$senha' LIMIT 1");
	if (mysql_num_rows($query) == 1){
		if($query){
			$resultado = mysql_fetch_assoc($query);
			if ($resultado['status'] == 0){
				header("Location: login.php?bloqueio");
				exit;
			}
		$id = $resultado['id'];
		$token = md5(uniqid(rand(), true));
		$_SESSION['hash'] = $token;
		$level = $resultado['level'];
		$login = mysql_query("INSERT INTO `user_sessions` (`hash`, `hora_login`, `id_user`, `id_level`) VALUES ('$token', CURRENT_TIMESTAMP, '$id', '$level')");
		if($login){
			setcookie(hash, $token, (time() + (365 * 24 * 3600)));
			header("Location:  index.php?logado");
			exit;
		}else{
			header("Location: login.php.php?erro");
			exit;
		}
		}else{
			header("Location: login.php.php?error");
			exit;
		}
	}else{
		header("Location: login.php?error");
		exit;
	}
}
?>